%define name		ypops
%define version		0.7.3
%define release		1%{_my_ext}
Vendor:			%{vendor}
Packager:		%{packager}
Distribution:		%{distribution}


Summary:	YPOPS let's you access your Yahoo email from any email client.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		%{name}-%{version}.tar.bz2
URL:		http://yahoopops.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-buildroot
License:	GPL
Group:		Email

%description
YPOPs! is an application that provides POP3 access to Yahoo! Mail.
It is available on the Windows, Linux, Solaris and Mac platforms. 

Yahoo! Mail disabled free access to its POP3 service on 24th April, 2002.
This application emulates a POP3 server and enables popular email clients
like Outlook, Netscape, Eudora, Mozilla, etc., to download email from
Yahoo! accounts. We do not go against the license agreements of
Yahoo! Mail. This application is completely legitimate and well within
the realms of legal software.

How do we do it you ask? Well, this application is more like a gateway.
It provides a POP3 server interface at one end to talk to email clients
and an HTTP client (browser) interface at the other which allows
it to talk to Yahoo

%prep
%setup -q

%build
cd src/
make

%install
# remove all CVS files so that they don't get "accidently" installed
for CVSDIR in `find . -type d -name CVS` ; do
    rm -rf $CVSDIR
done

mkdir -p $RPM_BUILD_ROOT/usr/local/ypops
mkdir -p $RPM_BUILD_ROOT/usr/bin
cd src/
install -m 755 ypops $RPM_BUILD_ROOT/usr/bin/ypops
install -m 755 ypops.sh $RPM_BUILD_ROOT/usr/bin/ypops.sh
install -m 644 ypops_samplerc $RPM_BUILD_ROOT/usr/local/ypops/ypopsrc

%post
echo "Please edit the /usr/local/ypops/ypopsrc"
echo ""
echo "Please read the file: /usr/bin/ypops.sh"
echo ""
echo "Before running YPOPS"
echo ""

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc docs
%attr(0755, root, root)%{_bindir}/ypops
%attr(0755, root, root)%{_bindir}/ypops.sh
%attr(0644, root, root)/usr/local/ypops/ypopsrc
  
%changelog

* Mon Oct 10 2005 Scott Grayban <sgrayban@borgnet.us>
 - rebuild for 2006

* Tue Apr 19 2005 Scott Grayban <sgrayban@borgnet.us>
  - Fixed the login process for md5 security so that deletes work when using this security mode.
  - Fixed possible crash if ypops gets an error accessing Yahoo while getting list of emails to download.
  - If there is an error accessing a Yahoo web page URL, reset the cUrl library before retrying. This greatly improves success of retry and avoids the "your login has expired" error.
  - If there is a cUrl error, show the message text (not just the error code). This should help users troubleshoot their own problems.
  - Fixed "Save email in Yahoo's Sent Items Folder" option. Yahoo changed their web site to cause this to stop working.

* Mon Feb 21 2005 Scott Grayban <sgrayban@borgnet.us>
  - First build for Mandrake that actually works.
